DiskForceBatcherThread (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.journal
Class DiskForceBatcherThread

    java.lang.Object
      java.lang.Thread
          bitronix.tm.journal.DiskForceBatcherThread

All Implemented Interfaces:
  Runnable

    public final class DiskForceBatcherThread

extends Thread

Thread that executes disk force batches.

Author:
  lorban

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`void` | `enqueue(TransactionLogAppender tla)` Add the TransactionLogAppender to the wait queue and wait until the disk force is done.
`static DiskForceBatcherThread` | `getInstance()` Get the single instance of the DiskForceBatcherThread.
`void` | `run()`
`boolean` | `setAlive(boolean alive)` Thread will run for as long as this flag is not false.
`String` | `toString()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static DiskForceBatcherThread getInstance()

  Get the single instance of the DiskForceBatcherThread.

  Returns:
    the single instance of the DiskForceBatcherThread.

### setAlive

    public boolean setAlive(boolean alive)

  Thread will run for as long as this flag is not false.

  Parameters:
    `alive` - The new flag value.
  Returns:
    the old flag value.

### enqueue

    public void enqueue(TransactionLogAppender tla)

  Add the TransactionLogAppender to the wait queue and wait until the disk force is done.

  Parameters:
    `tla` - the TransactionLogAppender

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### toString

    public String toString()

  Overrides:
    `toString` in class `Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.